SDL_atomic_t Struct Reference

A type representing an atomic integer value. It is a struct so people don't accidentally use numeric operations on it. More...

`#include <SDL_atomic.h>`

## Data Fields

int | value

## Detailed Description

A type representing an atomic integer value. It is a struct so people don't accidentally use numeric operations on it.

Definition at line 189 of file SDL_atomic.h.

## Field Documentation

int SDL_atomic_t::value

Definition at line 189 of file SDL_atomic.h.

Referenced by DequeueEvent_Mutex(), EnqueueEvent_Mutex(), SDL_AtomicAdd(), SDL_AtomicCAS(), SDL_AtomicGet(), and SDL_AtomicSet().

The documentation for this struct was generated from the following file:

- include/SDL_atomic.h